# $Revision: 1.39 $, $Date: 2002/08/07 13:34:45 $
Summary:	PRepS is a simple Problem Reporting System
Summary(pl):	PRepS to uproszczony system do kontroli i zarzdzania bdami
Name:		preps
Version:	1.8.0
Release:	4
License:	GPL
Group:		X11/Development/Tools
Source0:	http://webpages.charter.net/stuffle/linux/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-nostatic.patch
Patch1:		%{name}-with_shared_libpq.patch
Patch2:		%{name}-DESTDIR.patch
URL:		http://webpages.charter.net/stuffle/linux/preps/preps.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel
BuildRequires:	libpreps-devel >= 1.6.5
BuildRequires:	libtool
BuildRequires:	postgresql-devel >= 6.5
Requires:	postgresql-module-plpgsql
Requires:	tetex
Requires:	tetex-dvips
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
PRepS is a simple Problem Reporting System. PRepS is designed around
the bug tracking needs of small to medium sized software projects.
However, PRepS may be flexible enough to be used for other types of
problem or status tracking. For example, PRepS could be setup to track
things that need fixing around the house. Be creative.

%description -l pl
PRepS suy do kontroli i zarzdzania bdami. PRepS zosta
zaprojektowany do maych i rednich projektw. Mimo to jest na tyle
elestyczny, e moe by uywany przy innych rodzajach problemw
wymagajcych kontroli postepu prac. Moe by na przykad uyty w domu
do nadzoru rzeczy wymagajcych naprawy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
aclocal -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Development

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/preps
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: preps.spec,v $
Revision 1.39  2002/08/07 13:34:45  marcus
- use new %%doc
- rel.4.

Revision 1.38  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.37  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.36  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/05/08 07:26:34  kloczek
- release 4.

Revision 1.34  2002/05/07 12:49:47  qboosh
- removed COPYING from doc (known - GPL)

Revision 1.33  2002/04/20 03:22:03  kloczek
- release 2.

Revision 1.32  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.31  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.30  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/02/06 07:05:09  kloczek
- updated to 1.8.0.

Revision 1.28  2002/01/28 01:13:55  ankry
- formatting

Revision 1.26  2002/01/22 12:51:15  ankry
- it is GPL now.

Revision 1.25  2002/01/18 02:14:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/01/22 09:33:58  kloczek
- added autoconf, automake to BuildRequires,
- added "automake -a -c" in %build for regenerate automake fiels.

Revision 1.23  2001/01/21 14:26:50  wrobell
- fixed requires
- shell and plpgsql patches added
- release ++

Revision 1.22  2000/11/22 10:09:42  misiek
few buildrequires more

Revision 1.21  2000/11/20 19:09:27  kloczek
- added with_shared_libpq patch (but finaly can not be tested because seems
  one function from libpg was disapper) - still need work.

Revision 1.20  2000/11/06 00:16:23  kloczek
- use new rpm automation.

Revision 1.19  2000/10/30 09:42:39  zagrodzki
- updated to 1.4.5

Revision 1.18  2000/10/20 10:40:45  zagrodzki
- requires postgresql libs, not postgresql itself.

Revision 1.17  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/05 10:14:42  bonkey
- v.1.4.2
- corected one requires:

Revision 1.15  2000/06/03 04:52:41  bonkey
- more requires

Revision 1.14  2000/06/03 04:49:28  bonkey
- libpreps documentation removed

Revision 1.13  2000/06/02 16:21:09  bonkey
- v.1.4.1

Revision 1.12  2000/06/01 18:45:07  bonkey
- v.1.4.1beta

Revision 1.11  2000/05/31 17:19:14  kloczek
- cosmetics in %fiels.

Revision 1.10  2000/05/30 18:28:47  bonkey
- clean up with %%files

Revision 1.9  2000/05/30 16:21:40  bonkey
- v.1.4.0
- DESTDIR patch obsolete
- added libpreps files

Revision 1.7  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.6  2000/05/06 21:18:57  bonkey
- preps-responsible_on_list.patch added
- release++
